This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 437987 - multiple keyboard events per keypress
multiple keyboard events per keypress
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 11:42 EDT by Ray Strode [halfline]
Modified: 2008-10-20 17:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2008-03-18 11:42:31 EDT
I was just playing around with Dave Airlie's awesome new
no-mode-setting-on-user-switch intel driver, and in the process had a several
different simultaneous logins going on.  When I was done, I logged out of them
one by one until I got back to my session which had a lock dialog up.

Every key I pressed triggered three bullets into the password field.  I clicked
on the "Leave a Message" button and typed in the text area there "hello" but it
showed up as "hhheeelllooo"

I then clicked the "Switch User" button which brought up a gdm greeter.  There I
was able to type my password and switch back to myself with no problem and after
switching back X behaved fine.
Comment 1 Bug Zapper 2008-05-14 02:41:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Hutterer 2008-07-14 04:10:43 EDT
Ray, can you give me an update on this bug please? Is it still an issue?

Basically evdev grabs the device file so two servers can't access the same
device. We've seen duplicate events in the past when two devices were set up on
the same device file, but this shouldn't happen with evdev.

Can you please post your xorg.conf and your Xorg.log? 
Comment 3 Matěj Cepl 2008-09-10 10:38:48 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Ray Strode [halfline] 2008-10-20 17:29:14 EDT
it's not happening anymore, sorry for the slow reply (somehow didn't see it in my bug mail)

Note You need to log in before you can comment on or make changes to this bug.